com.genesyslab.wfm7.API.service.forecast710

## Class FrcFactors

- java.lang.Object
- - com.genesyslab.wfm7.API.service.forecast710.FrcFactors

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcFactors
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private double` | `endImpactPCT`
    `private FrcFactorEvents[]` | `factorEvents`
    `private int` | `factorEventsArraySize`
    `private int` | `factorId`
    `private int` | `impactDurationHrs`
    `private int` | `impactUnit`
    `private double` | `initImpactPCT`
    `private java.lang.String` | `name`
    `private int` | `siteId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcFactors()`
    `FrcFactors(int factorId, int siteId, java.lang.String name, double initImpactPCT, double endImpactPCT, int impactUnit, int impactDurationHrs, int factorEventsArraySize, FrcFactorEvents[] factorEvents)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `double` | `getEndImpactPCT()` Gets the endImpactPCT value for this FrcFactors.
    `FrcFactorEvents[]` | `getFactorEvents()` Gets the factorEvents value for this FrcFactors.
    `int` | `getFactorEventsArraySize()` Gets the factorEventsArraySize value for this FrcFactors.
    `int` | `getFactorId()` Gets the factorId value for this FrcFactors.
    `int` | `getImpactDurationHrs()` Gets the impactDurationHrs value for this FrcFactors.
    `int` | `getImpactUnit()` Gets the impactUnit value for this FrcFactors.
    `double` | `getInitImpactPCT()` Gets the initImpactPCT value for this FrcFactors.
    `java.lang.String` | `getName()` Gets the name value for this FrcFactors.
    `int` | `getSiteId()` Gets the siteId value for this FrcFactors.
    `int` | `hashCode()`
    `void` | `setEndImpactPCT(double endImpactPCT)` Sets the endImpactPCT value for this FrcFactors.
    `void` | `setFactorEvents(FrcFactorEvents[] factorEvents)` Sets the factorEvents value for this FrcFactors.
    `void` | `setFactorEventsArraySize(int factorEventsArraySize)` Sets the factorEventsArraySize value for this FrcFactors.
    `void` | `setFactorId(int factorId)` Sets the factorId value for this FrcFactors.
    `void` | `setImpactDurationHrs(int impactDurationHrs)` Sets the impactDurationHrs value for this FrcFactors.
    `void` | `setImpactUnit(int impactUnit)` Sets the impactUnit value for this FrcFactors.
    `void` | `setInitImpactPCT(double initImpactPCT)` Sets the initImpactPCT value for this FrcFactors.
    `void` | `setName(java.lang.String name)` Sets the name value for this FrcFactors.
    `void` | `setSiteId(int siteId)` Sets the siteId value for this FrcFactors.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### factorId

          private int factorId

    - #### siteId

          private int siteId

    - #### name

          private java.lang.String name

    - #### initImpactPCT

          private double initImpactPCT

    - #### endImpactPCT

          private double endImpactPCT

    - #### impactUnit

          private int impactUnit

    - #### impactDurationHrs

          private int impactDurationHrs

    - #### factorEventsArraySize

          private int factorEventsArraySize

    - #### factorEvents

          private FrcFactorEvents[] factorEvents

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### FrcFactors

          public FrcFactors()

    - #### FrcFactors

          public FrcFactors(int factorId,
                    int siteId,
                    java.lang.String name,
                    double initImpactPCT,
                    double endImpactPCT,
                    int impactUnit,
                    int impactDurationHrs,
                    int factorEventsArraySize,
                    FrcFactorEvents[] factorEvents)

  - ### Method Detail

    - #### getFactorId

          public int getFactorId()

      Gets the factorId value for this FrcFactors.
      Returns:
        factorId

    - #### setFactorId

          public void setFactorId(int factorId)

      Sets the factorId value for this FrcFactors.
      Parameters:
        `factorId` -

    - #### getSiteId

          public int getSiteId()

      Gets the siteId value for this FrcFactors.
      Returns:
        siteId

    - #### setSiteId

          public void setSiteId(int siteId)

      Sets the siteId value for this FrcFactors.
      Parameters:
        `siteId` -

    - #### getName

          public java.lang.String getName()

      Gets the name value for this FrcFactors.
      Returns:
        name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name value for this FrcFactors.
      Parameters:
        `name` -

    - #### getInitImpactPCT

          public double getInitImpactPCT()

      Gets the initImpactPCT value for this FrcFactors.
      Returns:
        initImpactPCT

    - #### setInitImpactPCT

          public void setInitImpactPCT(double initImpactPCT)

      Sets the initImpactPCT value for this FrcFactors.
      Parameters:
        `initImpactPCT` -

    - #### getEndImpactPCT

          public double getEndImpactPCT()

      Gets the endImpactPCT value for this FrcFactors.
      Returns:
        endImpactPCT

    - #### setEndImpactPCT

          public void setEndImpactPCT(double endImpactPCT)

      Sets the endImpactPCT value for this FrcFactors.
      Parameters:
        `endImpactPCT` -

    - #### getImpactUnit

          public int getImpactUnit()

      Gets the impactUnit value for this FrcFactors.
      Returns:
        impactUnit

    - #### setImpactUnit

          public void setImpactUnit(int impactUnit)

      Sets the impactUnit value for this FrcFactors.
      Parameters:
        `impactUnit` -

    - #### getImpactDurationHrs

          public int getImpactDurationHrs()

      Gets the impactDurationHrs value for this FrcFactors.
      Returns:
        impactDurationHrs

    - #### setImpactDurationHrs

          public void setImpactDurationHrs(int impactDurationHrs)

      Sets the impactDurationHrs value for this FrcFactors.
      Parameters:
        `impactDurationHrs` -

    - #### getFactorEventsArraySize

          public int getFactorEventsArraySize()

      Gets the factorEventsArraySize value for this FrcFactors.
      Returns:
        factorEventsArraySize

    - #### setFactorEventsArraySize

          public void setFactorEventsArraySize(int factorEventsArraySize)

      Sets the factorEventsArraySize value for this FrcFactors.
      Parameters:
        `factorEventsArraySize` -

    - #### getFactorEvents

          public FrcFactorEvents[] getFactorEvents()

      Gets the factorEvents value for this FrcFactors.
      Returns:
        factorEvents

    - #### setFactorEvents

          public void setFactorEvents(FrcFactorEvents[] factorEvents)

      Sets the factorEvents value for this FrcFactors.
      Parameters:
        `factorEvents` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.